[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TBufIndex.AddRecord

Adds a record to the index

## Declaration

Source position: bufdataset.pas line 170

`public procedure TBufIndex.AddRecord; virtual; abstract;`

## Description

Adds a record to the end of the index as the new last record (spare record). AddRecord is used in the GetNextPacket method.